% Write KSA results to file
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%      Exact numerical integration of the master     %%%%%%%%%%%%
%%%%%%%%%%%        equation in some models of stochastic       %%%%%%%%%%%%
%%%%%%%%%%%                     epidemiology                   %%%%%%%%%%%%
%%%%%%%%%%%                      KSA METHOD                    %%%%%%%%%%%%
%%%%%%%%%%%              Authors: Jenkinson/Goutsias           %%%%%%%%%%%%
%%%%%%%%%%%               Last Modified: 01/13/2012            %%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%

% open file for writing
fid = fopen('results/report.txt','w');

fprintf(fid,'----------------------------\n');
fprintf(fid,'Parameters of KSA simulation\n');
fprintf(fid,'----------------------------\n\n');

fprintf(fid,'simulation time = %2i days\n\n',tf);

fprintf(fid,'TOL parameter = %6.3E \n\n',tol);

fprintf(fid,'L0 parameter = %2i \n',L0);

fprintf(fid,'\n-------------------------\n');
fprintf(fid,'Results of KSA simulation\n');
fprintf(fid,'-------------------------\n\n');

fprintf(fid,'CPU time = %4d seconds\n\n',int32(timeElapsed));

fprintf(fid,'L2 error = %6.2e \n\n',FinalError);

fclose(fid);