% Write RIE results to file
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%      Exact numerical integration of the master     %%%%%%%%%%%%
%%%%%%%%%%%       equation in some models of stochastic        %%%%%%%%%%%%
%%%%%%%%%%%                    epidemiology                    %%%%%%%%%%%%
%%%%%%%%%%%            RIE METHOD (VARIABLE STEP-SIZE)         %%%%%%%%%%%%
%%%%%%%%%%%              Authors: Jenkinson/Goutsias           %%%%%%%%%%%%
%%%%%%%%%%%               Last Modified: 01/13/2012            %%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%

% open a file for writing
fid = fopen('results/report.txt','w');

fprintf(fid,'-------------------------------------------------\n');
fprintf(fid,'Parameters of RIE simulation (variable step-size)\n');
fprintf(fid,'-------------------------------------------------\n\n');

fprintf(fid,'simulation time = %2i days\n\n',tf);
fprintf(fid,'TOL parameter = %6.3E \n\n',tol);

fprintf(fid,'-------------------------------------------------\n');
fprintf(fid,'Results of RIE simulation (variable step-size)\n');
fprintf(fid,'-------------------------------------------------\n\n');

fprintf(fid,'CPU time = %3d seconds\n\n',int32(timeElapsed));

fprintf(fid,'L2 error = %6.2e \n\n',FinalError);

fprintf(fid, 'estimated L1 error = %6.2e\n',final_error_est);

fclose(fid);